Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Interface AuditLogService

All Known Implementing Classes:
  JPAAuditLogService

    public interface AuditLogService

This class is essentially a very simple implementation of a service that deals with `ProcessInstanceLog`, `NodeInstanceLog` and `VariableInstanceLog` entities.

Please see the public methods for the interface of this service.

Method Summary
`void` | `clear()`
`void` | `dispose()`
`List<ProcessInstanceLog>` | `findActiveProcessInstances(String processId)`
`List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId)`
`List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId, String nodeId)`
`ProcessInstanceLog` | `findProcessInstance(long processInstanceId)`
`List<ProcessInstanceLog>` | `findProcessInstances()` Service methods
`List<ProcessInstanceLog>` | `findProcessInstances(String processId)`
`List<ProcessInstanceLog>` | `findSubProcessInstances(long processInstanceId)`
`List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId)`
`List<VariableInstanceLog>` | `findVariableInstances(long processInstanceId, String variableId)`
`List<VariableInstanceLog>` | `findVariableInstancesByName(String variableId, boolean activeProcesses)`
`List<VariableInstanceLog>` | `findVariableInstancesByNameAndValue(String variableId, String value, boolean activeProcesses)`
`String` | `getPersistenceUnitName()`
`void` | `setEnvironment(Environment env)`
`void` | `setPersistenceUnitName(String persistenceUnitName)`

Method Detail

### setEnvironment

    void setEnvironment(Environment env)

### getPersistenceUnitName

    String getPersistenceUnitName()

### setPersistenceUnitName

    void setPersistenceUnitName(String persistenceUnitName)

### findProcessInstances

    List<ProcessInstanceLog> findProcessInstances()

  Service methods

  Returns:

### findProcessInstances

    List<ProcessInstanceLog> findProcessInstances(String processId)

### findActiveProcessInstances

    List<ProcessInstanceLog> findActiveProcessInstances(String processId)

### findProcessInstance

    ProcessInstanceLog findProcessInstance(long processInstanceId)

### findSubProcessInstances

    List<ProcessInstanceLog> findSubProcessInstances(long processInstanceId)

### findNodeInstances

    List<NodeInstanceLog> findNodeInstances(long processInstanceId)

### findNodeInstances

    List<NodeInstanceLog> findNodeInstances(long processInstanceId,
                                            String nodeId)

### findVariableInstances

    List<VariableInstanceLog> findVariableInstances(long processInstanceId)

### findVariableInstances

    List<VariableInstanceLog> findVariableInstances(long processInstanceId,
                                                    String variableId)

### findVariableInstancesByName

    List<VariableInstanceLog> findVariableInstancesByName(String variableId,
                                                          boolean activeProcesses)

### findVariableInstancesByNameAndValue

    List<VariableInstanceLog> findVariableInstancesByNameAndValue(String variableId,
                                                                  String value,
                                                                  boolean activeProcesses)

### clear

    void clear()

### dispose

    void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.